ч<?php
if (!defined('GAME')) {
    die();
}

?>
<script src='/static/img/js/commoninf.js'></script>
<style>
    .modpow {
        background-color: #ddd5bf;
    }

    .mt {
        background-color: #b1a993;
        padding-left: 10px;
        padding-right: 10px;
        padding-top: 5px;
        padding-bottom: 5px;
    }

    .md {
        padding: 10px;
    }
</style>
<script>
    function openMod(title, dat) {
        var d = document.getElementById('useMagic');
        if (d != undefined) {
            document.getElementById('modtitle').innerHTML = '<table width="100%" border="0" cellspacing="0" cellpadding="0"><tr><td valign="top">' + title + '</td><td width="30" valign="top"><div align="right"><a title="Закрыть окно" onClick="closeMod(); return false;" href="#">x</a></div></td></tr></table>';
            document.getElementById('moddata').innerHTML = dat;
            d.style.display = '';
        }
    }

    function closeMod() {
        var d = document.getElementById('useMagic');
        if (d != undefined) {
            document.getElementById('modtitle').innerHTML = '';
            document.getElementById('moddata').innerHTML = '';
            d.style.display = 'none';
        }
    }
</script>
<div id="useMagic" style="display:none; position:absolute; border:solid 1px #776f59; left: 50px; top: 186px;" class="modpow">
    <div class="mt" id="modtitle"></div>
    <div class="md" id="moddata"></div>
</div>
<table align=left>
    <tr>
        <td><img src="/static/img/i/alchemy1.gif"></td>
    </tr>
</table>
<table align=right>
    <tr>
        <td><INPUT TYPE="button" onclick="location.href='main.php?alhp=1';" class="btn" value="Обновить" title="Обновить"> <INPUT TYPE="button" onclick="location.href='main.php';" class="btn"
                                                                                                                                  value="Вернуться" title="Вернуться">
</table>
<center>
    <SCRIPT>drwfl("<?=$u->info['login']?>", <?=$u->info['id']?>, "<?=$u->info['level']?>", 50, "")</SCRIPT>
</center>
<?php
$pl = mysql_fetch_array(mysql_query('SELECT * FROM `bank_table` ORDER BY `time` DESC LIMIT 1'));
$ba = mysql_fetch_array(mysql_query("SELECT * FROM `bank_alh` WHERE `uid` = '" . mysql_real_escape_string($u->info['id']) . "' LIMIT 1"));
if (isset($ba['id'])) {
    ?>
    <table width=320>
        <tr>
            <td>
                <h4>На алхимических счетах:</h4>
                <b><?= $ba['ekr'] ?></b> ЕКР
                <hr/>
                <?php
                $ucur = round(round(($pl['cur'] / $pl['USD']), 4) / 100 * (100 - $ba['procent']), 2);
                ?>
                Персональный курс: <b><?= $ucur ?></b> $ = 1 Еврокредит.
                <hr/>
                <form method="post" action="main.php?alhp=1">
                    <?php
                    if (isset($_POST['buy_ekr'])) {
                        $uba = mysql_fetch_array(mysql_query('SELECT * FROM `users` WHERE `login` = "' . mysql_real_escape_string($_POST['buy_ekr']) . '" LIMIT 1'));
                        $uba['uid'] = $uba['id'];
                        if (isset($uba['id'])) {
                            echo 'Покупатель: ' . $u->microLogin($uba['uid'], 1) . '<br>';
                        } else {
                            echo '<font color=red>Персонаж заблокирован, либо не найден.</font><hr>';
                            unset($_POST['buy_ekr']);
                        }
                        echo '<hr>';
                        if (isset($uba['id'])) {
                            $_POST['buy4ekr'] = round($_POST['buy4ekr'], 2);

                            $bns = [
                                    [0, 0, 0],
                                    [10, 1, 0],
                                    [50, 2, 0],
                                    [100, 3, 0],
                                    [200, 4, 0],
                                    [300, 5, 0],
                                    [400, 6, 0],
                                    [500, 7, 0],
                                    [600, 8, 0],
                                    [700, 9, 0],
                                    [800, 10, 0],
                                    [900, 11, 0],
                                    [1000, 13, 1],
                                    [1100, 15, 2],
                                    [1200, 17, 3],
                                    [1300, 19, 4],
                                    [1500, 21, 5],
                                    [1700, 23, 6],
                                    [2000, 25, 7],
                                    [2500, 27, 8],
                                    [3000, 30, 9],
                            ];

                            $bns2 = [
                                    [0, 0],
                                    [10, 1],
                                    [20, 2],
                                    [30, 3],
                                    [40, 4],
                                    [50, 5],
                                    [60, 6],
                                    [70, 7],
                                    [80, 8],
                                    [90, 9],
                                    [100, 10],
                            ];

                            $ball = mysql_fetch_array(mysql_query('SELECT SUM(`ekr`) FROM `pay_operation` WHERE `uid` = "' . $uba['id'] . '" AND `good` > 0 LIMIT 1'));
                            $ball = 0 + $ball[0];

                            $i = 0;
                            while ($i < count($bns)) {
                                if (isset($bns[$i][0]) && $ball > $bns[$i][0]) {
                                    $b1 = $i;
                                }
                                $i++;
                            }

                            //if( isset($backdoor) ) {
                            $i = 0;
                            while ($i < count($bns2)) {
                                if (isset($bns2[$i][0]) && $_POST['buy4ekr'] >= $bns2[$i][0]) {
                                    $b2 = $i;
                                }
                                $i++;
                            }
                            //}

                            //Бонус опытовый, первичный и накопительный
                            $out_ekr = $_POST['buy4ekr'];
                            $out_ekr0 = $_POST['buy4ekr'];
                            //
                            $out_ekr += round($out_ekr0 / 100 * $bns[$b1][1], 2);
                            $i = 0;
                            while ($i < count($bns2)) {
                                if (isset($bns2[$i][0]) && $out_ekr >= $bns2[$i][0]) {
                                    $b2_2 = $i;
                                }
                                $i++;
                            }
                            $out_ekr += round($out_ekr0 / 100 * $bns2[$b2_2][1], 2);
                            if ($ball == 0) {
                                $out_ekr += round($out_ekr0 / 100 * 20, 2);
                            }

                            if (isset($_POST['buy4ekr']) && $_POST['buy4ekr'] < 0.01) {
                                echo '<font color=red>Минимальная сумма продажи: 0.01 екр.</font><hr>';
                                unset($_POST['buy4ekr']);
                            } elseif ($_POST['buy4ekr'] > $ba['ekr']) {
                                echo '<font color=red>Недостаточно средств на счете</font><hr>';
                                unset($_POST['buy4ekr']);
                            }
                            if (isset($_POST['buygoodluck'])) {
                                echo '<script>alert("Продажа на сумму ' . $_POST['buy4ekr'] . ' екр. была совершена успешно!");location.href="main.php?alhp=1";</script>';
                                $ba['ekr'] -= $_POST['buy4ekr'];
                                $ba['USD'] += round($_POST['buy4ekr'] * $ucur, 2);
                                mysql_query('UPDATE `bank_alh` SET `ekr` = "' . mysql_real_escape_string($ba['ekr']) . '",`USD` = "' . mysql_real_escape_string($ba['USD']) . '" WHERE `id` = "' . $ba['id'] . '" LIMIT 1');

                                mysql_query('UPDATE `users` SET `money2` = `money2` + ' . mysql_real_escape_string($out_ekr) . ' WHERE `id` = "' . $uba['id'] . '" LIMIT 1');


                                $money = round($_POST['buy4ekr'] * $pl['cur'], 2);
                                $money = round($money / 100 * (100 - $ba['procent']), 2);

                                $user = mysql_fetch_array(mysql_query('SELECT `id`,`login`,`city`,`sex`,`room`,`host_reg` FROM `users` WHERE `id` = "' . mysql_real_escape_string($uba['uid']) . '" LIMIT 1'));

                                mysql_query('INSERT INTO `pay_operation` (`uid`,`ekr`,`time`,`good`,`var`,`ref`,`ref2`) VALUES (
							"' . $uba['id'] . '","' . mysql_real_escape_string($_POST['buy4ekr']) . '","' . time() . '","' . time() . '","buy_ekr_alh' . $u->info['id'] . '","' . $uba['host_reg'] . '","0"
						)');

                                /*
                                echo '['.$user['host_reg'].']';
                                if( $user['host_reg'] > 0 && $_POST['buy4ekr'] >= 1 ) {
                                    $refer = mysql_fetch_array(mysql_query('SELECT `id`,`login`,`city`,`sex`,`room`,`host_reg` FROM `users` WHERE `id` = "'.mysql_real_escape_string($user['host_reg']).'" LIMIT 1'));
                                    if( isset($refer['id']) ) {
                                        $r = '<span class=date>'.date('d.m.Y H:i').'</span> <img src=/static/img/i/align/align50.gif width=12 height=15 /><u><b>Банк</b> &laquo;Старого Бойцовского клуба&raquo; / Алхимик <b>'.$u->info['login'].'</b></u> сообщает: ';
                                        if($refer['sex'] == 1) {
                                            $r .= 'Уважаемая';
                                        }else{
                                            $r .= 'Уважаемый';
                                        }
                                        $ubaref = mysql_fetch_array(mysql_query('SELECT * FROM `bank` WHERE `uid` = "'.$refer['id'].'" ORDER BY `id` DESC LIMIT 1'));
                                        if( isset($ubaref['id']) ) {
                                            mysql_query('UPDATE `bank` SET `money2` = "'.mysql_real_escape_string($ubaref['money2']+round($_POST['buy4ekr']*0.05,2)).'" WHERE `id` = "'.$ubaref['id'].'" LIMIT 1');
                                        }
                                        $r .= ' <b>'.$refer['login'].'</b>, Ваш воспитанник &quot;'.$user['login'].'&quot; приобрел Ekr. и на Ваш банковский счет №'.(0+$ubaref['id']).' зачислено '.round($_POST['buy4ekr']*0.05,2).' Ekr. ';
                                        mysql_query("INSERT INTO `chat` (`new`,`city`,`room`,`login`,`to`,`text`,`time`,`type`,`toChat`) VALUES ('1','".$refer['city']."','".$refer['room']."','','".$refer['login']."','".$r."','-1','5','0')");
                                    }
                                }
                                */

                                $r = '<span class=date>' . date('d.m.Y H:i') . '</span> <img src=/static/img/i/align/align50.gif width=12 height=15 /><u><b>Банк</b> &laquo;Легендарного Бойцовского клуба&raquo; / Алхимик <b>' . $u->info['login'] . '</b></u> сообщает: ';

                                if ($user['sex'] == 1) {
                                    $r .= 'Уважаемая';
                                } else {
                                    $r .= 'Уважаемый';
                                }

                                $bnss = '';

                                if (($out_ekr - round((int)$_POST['buy4ekr'], 2)) > 0) {
                                    $bnss = ' (+' . ($out_ekr - round((int)$_POST['buy4ekr'], 2)) . ' ЕКР бонус!)';
                                }

                                $r .= ' <b>' . $user['login'] . '</b>, на Ваш счет зачислено ' . $_POST['buy4ekr'] . ' ЕКР' . $bnsss . '. Благодарим Вас за покупку!';

                                mysql_query("INSERT INTO `chat` (`new`,`city`,`room`,`login`,`to`,`text`,`time`,`type`,`toChat`) VALUES ('1','" . $user['city'] . "','" . $user['room'] . "','','" . $user['login'] . "','" . $r . "','-1','5','0')");

                                $text_msg = 'Алхимик <b>' . $u->info['login'] . '</b> совершил продажу <b>' . $_POST['buy4ekr'] . '</b> ЕКР. (скидка ' . $ba['procent'] . '% , задолжность ' . $ba['USD'] . '$). Покупатель: ' . $u->microLogin($uba['uid'], 1) . '.</b>.';

                                $balance = mysql_fetch_array(mysql_query('SELECT SUM(`money`) FROM `balance_money` WHERE `cancel` = 0'));
                                $balance = $balance[0] + $money;
                                mysql_query('INSERT INTO `balance_money` (`time`,`ip`,`money`,`comment2`,`balance`,`cancel`) VALUES ("' . time() . '","' . $u->info['ip'] . '","' . mysql_real_escape_string((int)$money) . '","' . mysql_real_escape_string($text_msg) . '","' . $balance . '","' . time() . '")');

                                //Рейтинг по вкладам
                                $ub = [];
                                $ui = [];
                                $sp = mysql_query('SELECT * FROM `pay_operation` WHERE `good` > 0 ORDER BY `id` DESC');
                                while ($pl = mysql_fetch_array($sp)) {
                                    if (!isset($ub[$pl['uid']])) {
                                        $ui[] = $pl['uid'];
                                    }
                                    $ub[$pl['uid']][date('d.m.Y', $pl['good'])] = $pl['ekr'];
                                }
                                $i = 0;
                                while ($i < count($ui)) {
                                    if (isset($ui[$i])) {
                                        $j = 1;
                                        $k = 0;
                                        $nj = 0;
                                        while ($j <= 1000) {
                                            $dt = date('d.m.Y', time() - (86400 * $j));
                                            if (isset($ub[$ui[$i]][$dt])) {
                                                $k++;
                                                $nj = 0;
                                            } elseif ($j > 0 && $nj >= 6) {
                                                $j = 1000;
                                            } else {
                                                $nj++;
                                            }
                                            $j++;
                                        }
                                        mysql_query('DELETE FROM `users_paybonus` WHERE `id` = "' . $ui[$i] . '" LIMIT 1');
                                        mysql_query('INSERT INTO `users_paybonus` (`id`,`level`) VALUES (
									"' . $ui[$i] . '","' . $k . '"
								)');
                                    }
                                    $i++;
                                }
                                //
                            } else {
                                echo 'Сумма екр.:';
                                if (!isset($_POST['buy4ekr'])) {
                                    echo '&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp; <input name="buy4ekr" style="width:50px;" value="0.00" /> <input class="btn btn-danger" value="Далее" type="submit" /><br>';
                                } else {
                                    echo ' <b>' . round((int)$_POST['buy4ekr'], 2) . '</b> ЕКР + <b>' . ($out_ekr - round((int)$_POST['buy4ekr'], 2)) . '</b> ЕКР бонус.<input name="buy4ekr" type="hidden" value="' . $_POST['buy4ekr'] . '" />';
                                    echo ' &nbsp; <br><br><input type="submit" name="buygoodluck" class="btn btn-success" value="Совершить продажу">';
                                }
                            }
                        }
                    }
                    ?>
                    <?php if (isset($_POST['buy_ekr'])) {
                        ?><input name="buy_ekr" type="hidden" value="<?= $_POST['buy_ekr'] ?>" /> <?php
                    } else {
                        ?>Перести екр. персонажу: <input name="buy_ekr"
                                                                                                                                                                                    style="width:50px;"
                                                                                                                                                                                    value="<?= $_POST['buy_ekr'] ?>"/>
                        <input class="btn btn-danger" value="Далее" type="submit"/>
                    <?php } ?>
                </form>
            </td>
        </tr>
    </table>
    <?php
}

echo "<br><h4><div align=left>Необходимые средства в работе алхимика</div></h4>";

$p['m1'] = 1;
$srok = [15 => '15 минут', 30 => '30 минут', 60 => 'один час', 180 => 'три часа', 360 => 'шесть часов', 720 => 'двенадцать часов', 1440 => 'одни сутки', 4320 => 'трое суток'];

if (isset($_GET['usemod'])) {
    if (isset($_POST['usem1'])) {
        include('moder/usem1.php');
    } elseif (isset($_POST['teleport'])) {
        //include('moder/teleport.php');
    }
}
if (isset($_POST['tologin'], $_POST['message'])) {
    $u->send('', 1, $infcity, '', htmlspecialchars($_POST['tologin']), '<font color=darkblue>Сообщение телеграфом от </font> <b>' . $u->info['login'] . '</b>: ' . $_POST['message'] . '', -1, 6, 0, 0, 0, 1);
}
?>
<table>
    <a href="#"
       onClick="openMod('<b>Заклятие молчания</b>','<form action=\'main.php?<?php echo alhp . '&usemod=' . $code; ?>\' method=\'post\'>Логин персонажа: <input type=\'text\' style=\'width:144px;\' id=\'logingo\' name=\'logingo\'><br>Время заклятия: &nbsp; <select style=\'margin-left:2px;\' name=\'time\'><option value=\'1440\'>Сутки</option></select> <input type=\'submit\' name=\'usem1\' value=\'Исп-ть\'></form>');"><img
                src="/static/img/i/items/sleep.gif" title="Заклятие молчания"/></a>
    &nbsp;
    <br><h4>Телеграф</h4><!--Вы можете отправить короткое сообщение любому персонажу, даже если он находится в offline или другом городе.-->
    <form method=post style="margin:5px;">Логин персонажа <input type=text size=20 name="tologin"> сообщение <input type=text size=80 name="message"> &nbsp; <input type=submit class="btn btn-success"
                                                                                                                                                                    value="отправить"></form>
    <?php
    echo '<br><h2>Список реальщиков:</h2><br>';
    $sp = mysql_query('SELECT * FROM `pay_operation` WHERE `good` > 0 GROUP BY `uid`');
    while ($pl = mysql_fetch_array($sp)) {
        $onl = mysql_fetch_array(mysql_query('SELECT `id`,`online` FROM `users` WHERE `id` = "' . $pl['uid'] . '" LIMIT 1'));
        $lg = $u->microLogin($pl['uid'], 1);
        if ($lg != '<b><i>Невидимка</i></b> [??]<a target="_blank" href="/info/0"><img src="/static/img/i/inf_capitalcity.gif" /></a>') {
            if ($onl['online'] > time() - 240) {
                $lg = '<font color=green>' . $lg . '</font>';
            } else {
                $lg .= ' (был тут ' . date('d.m.Y H:i', $onl['online']) . ')';
            }
            if ($u->info['admin'] > 0) {
                $sum = mysql_fetch_array(mysql_query('SELECT SUM(`ekr`) FROM `pay_operation` WHERE `good` > 0 AND `uid` = "' . $pl['uid'] . '" LIMIT 1'));
                $sum = 0 + $sum[0];
                echo $lg . ' - ' . $sum . ' ЕКР.<br>';
            } else {
                echo $lg . '<br>';
            }
        }
    }

    ?>
